## debian-faq 12.2

=== Makefile ===
#
# Makefile for the debian-faq (docbook format)
#

# comment out this line when the debian-faq should go into
# production mode
# DRAFT := 1

ifeq "$(DRAFT)" "1"
    draftmode := yes
else
    draftmode := maybe
endif

manual := debian-faq

install_file	:= cp -pr
makedir	:= mkdir -p -m 0755

PUBLISHDIR := $(DESTDIR)/usr/share/doc/debian/FAQ

# WARNING - Editors and translators: the LANGUAGES list is currently sorted
# alphabetically but *NEW* languages that somebody wants to start working in
# should go to the end, that way if the language fails to build, or has errors,
# the other languages are not affected
#
# TODO - Treat 'probationary' languages independently so that they if they
# break they do not break the build for stable translations
LANGUAGES := en de fr it ja ko nl pt ru zh-cn

# The following is a list of 'probationary' languages, these might not yet
# build fine and might break the build.  Move them over to LANGUAGES when they
# do:
DISABLED_LANGUAGES :=
ALL_LANGUAGES := $(LANGUAGES) $(DISABLED_LANGUAGES)

# languages without .po files
# (either original English or translators don't like .po)
DBK_LANGUAGES := en
PO_LANGUAGES := $(filter-out $(DBK_LANGUAGES), $(ALL_LANGUAGES))
PO_FILES := $(wildcard */*.po)

# DISABLED_PDF are the languages we will not generate PDF versions for:
DISABLED_PDF=ja ko zh-cn

LANGUAGES-publish := $(addsuffix -publish,$(LANGUAGES))
LANGUAGES-clean := $(addsuffix -clean,$(LANGUAGES))

SOURCES := $(wildcard en/*.dbk)

# DocBook stuff
XP=xsltproc --nonet --novalid --xinclude \
    --stringparam draft.mode $(draftmode)
XL=xmllint --nonet --noout --postvalid --xinclude
# XSL files and parameters
# note: the URL is used as identifier, no HTTP is used!
DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
# for HTML output
DBK2HTML=$(CURDIR)/html.xsl
# all in one file for text output
DBK2HTML1=$(CURDIR)/txt.xsl
#
# NOTE: to DEBUG the generation of PDFs use the '-d -V' switches
# in DBLATEX and review the temporary files generated for errors
DBLATEX=dblatex --backend=xetex --style=db2latex \
    --xslt-opts=--nonet --no-external \
    --xsl-user=hyphenation.xsl \
    --param=xetex.font='                 \
\setmainfont{CharisSIL-Regular.ttf}[           \
  BoldFont       = CharisSIL-Bold.ttf ,     \
  ItalicFont     = CharisSIL-Italic.ttf ,     \
  BoldItalicFont = CharisSIL-BoldItalic.ttf]     \
\setsansfont{FreeSans}                   \
\setmonofont{FreeMono}' \
    --param=draft.mode=$(draftmode) \
    --param=format=a4 \
    --param=glossterm.auto.link=1 \
    --param=lingua=$(LINGUA) \
    --param=monoseq.hyphenation=nohyphen
PROFILE=$(DOCBOOK_XSL)/profiling/profile.xsl
PREPROC=$(CURDIR)/preproc.xsl
DBLATEXXSL=$(CURDIR)/dblatex.xsl

FORMATS=html txt pdf

# po4a stuff
# Mimic options that used to be hardcoded in local Locale::Po4a::Xml
PO4AOPTIONS=-o nodefault='<contrib> <editor> <indexterm> <note> <primary> <pubdate> <programlisting> <orderedlist> <screen>' -o translated='<contrib> <editor> W<programlisting> <note> <orderedlist> <pubdate> W<screen> <indexterm><primary>' -o inline='<indexterm> <primary>'
UPDATEPO=po4a-updatepo $(PO4AOPTIONS) --previous --format docbook
# The "--keep 0" should be removed as soon as the translations are ready
TRANSLATE=po4a-translate $(PO4AOPTIONS) --format docbook --keep 0

.SUFFIXES:
.PHONY: publish all clean $(LANGUAGES-publish)

all:
	for l in $(LANGUAGES); do \
    echo "Creating documents for language $$l"; \
    $(MAKE) LINGUA=$$l $(FORMATS); \
	done

# TODO: Do not use 'set -e' here. if one of the files here is missing for one
# language due to a failed build the installation will break the installation
# for the other languages.
# We could change this into a proper Makefile goal with its subtargets
# but it needs to be rewritten to do so
install:
	@echo "Publishing to '$(PUBLISHDIR)'"
	$(MAKE) $(FORMATS); \
	$(makedir) $(PUBLISHDIR); \
	for lang in $(LANGUAGES); do \
		$(makedir) $(PUBLISHDIR)/$$lang; \
		[ ! -d "$$lang/$$lang/" ] || \
		$(install_file) $$lang/$$lang/* \
		$(PUBLISHDIR)/$$lang/; \
		[ ! -e "$$lang/$(manual).$$lang.txt" ] ||  \
		$(install_file) $$lang/$(manual).$$lang.txt $(PUBLISHDIR); \
		[ ! -e "$$lang/$(manual).$$lang.pdf" ] ||  \
		$(install_file) $$lang/$(manual).$$lang.pdf $(PUBLISHDIR); \
	done

ifdef LINGUA
html::	$(LINGUA)/$(LINGUA)/index.$(LINGUA).html
$(LINGUA)/$(LINGUA)/index.$(LINGUA).html: \
		$(LINGUA)/$(manual).$(LINGUA).xml html.xsl
	@test -d /usr/share/xml/docbook/stylesheet/nwalsh/images/  || { echo "ERROR: The Docbook stylesheet's images are not available. Please install the docbook-xsl package." ; false ; }
	mkdir -p $(LINGUA)/$(LINGUA)/images
	cp debian.css $(LINGUA)/$(LINGUA)
	cp /usr/share/xml/docbook/stylesheet/nwalsh/images/*.png \
	    $(LINGUA)/$(LINGUA)/images
	cd $(LINGUA) && $(XP) -o $(LINGUA)/ \
	    --stringparam html.ext .$(LINGUA).html \
	    $(DBK2HTML) $(manual).$(LINGUA).xml

pdf::	$(LINGUA)/$(manual).$(LINGUA).pdf
$(LINGUA)/$(manual).$(LINGUA).pdf: \
		$(LINGUA)/$(manual).$(LINGUA).xml
ifneq "$(filter $(DISABLED_PDF),$(LINGUA))" ""
	cp nopdf.pdf $(LINGUA)/$(manual).$(LINGUA).pdf
else
%.pdf: %.xml
	@test -n "`which dblatex`"  || { echo "ERROR: dblatex not found. Please install the dblatex package." ; false ;  }
	export TEXINPUTS="$$(pwd)/$(@D):"; \
	$(XP) $(DBLATEXXSL) $< | $(DBLATEX) --output=$@ -
endif

txt::	$(LINGUA)/$(manual).$(LINGUA).txt
$(LINGUA)/$(manual).$(LINGUA).txt: \
		$(LINGUA)/$(manual).$(LINGUA).xml txt.xsl
	@test -n "`which xsltproc`"  || { echo "ERROR: xsltproc not found. Please install the xsltproc package." ; false ;  }
	@test -n "`which w3m`"  || { echo "ERROR: w3m not found. Please install the w3m package." ; false ;  }
ifneq "$(findstring $(LINGUA) , ja )" ""
	$(XP) $(DBK2HTML1) $< > ja/all-in-one.html
	perl ja/kinsoku.pl
	cat ja/temp.html | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@
	rm -f ja/all-in-one.html ja/temp.html
else
	$(XP) $(DBK2HTML1) $< \
	    | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@
endif

$(LINGUA)/$(manual).$(LINGUA).xml: \
		$(patsubst en/%,$(LINGUA)/%,$(SOURCES)) $(manual).ent
	$(XP) $(PROFILE) $(@D)/$(manual).dbk | $(XP) $(PREPROC) - > $@
endif

FORCE:

# There must be an easier way than recursive make!
.PRECIOUS:		%.dbk
ifndef LINGUA
%.dbk: FORCE
	$(MAKE) $@ LINGUA=`basename $(@D)`

else
ifeq "$(findstring  $(LINGUA) , $(DBK_LANGUAGES) )" ""
$(LINGUA)/%.dbk:	en/%.dbk $(LINGUA)/%.po
	@test -n "`which po4a`"  || { echo "ERROR: po4a not found. Please install the po4a package." ; false ;  }
	$(TRANSLATE) --master $< --po $(@:.dbk=.po) --localized $@
endif
endif

ifdef LINGUA
.PHONY:	updatepo
update-po: updatepo
updatepo:	$(patsubst en/%.dbk,$(LINGUA)/%.po-force,$(wildcard en/*.dbk))
# The next is just a PHONY target and forcible updates the PO files
$(LINGUA)/%.po-force: FORCE
	$(UPDATEPO) --master en/$*.dbk --po $(LINGUA)/$*.po

validate:	$(patsubst en/%,$(LINGUA)/%,$(SOURCES))
	$(XL) $(LINGUA)/$(manual).dbk
endif

tidypo:
ifdef LINGUA
	for po in $(wildcard $(LINGUA)/*.po); do \
	    msgcat $$po > $$po.tmp && mv $$po.tmp $$po; \
	done
else
	for po in $(wildcard */*.po); do \
	    msgcat $$po > $$po.tmp && mv $$po.tmp $$po; \
	done
endif

ifndef LINGUA

# Iterate over all PO based languages only
updatepo:
	for l in $(PO_LANGUAGES); do \
	    $(MAKE) $@ LINGUA=$$l; \
	done

%:
	for l in $(LANGUAGES); do \
	    $(MAKE) $@ LINGUA=$$l; \
	done
endif

clean:: $(LANGUAGES-clean)

$(LANGUAGES-clean):
	LINGUA=$(subst -clean,,$@); \
	cd $$LINGUA; \
	echo " $(DBK_LANGUAGES) " | grep -q " $$LINGUA " || rm -f *.dbk; \
	rm -rf *~ .*~ $$LINGUA $(manual).*.txt $(manual).*.pdf \
	    $(manual).$$LINGUA.xml ifxetex.sty body.tmp head.tmp

=== debian/changelog ===
debian-faq (12.2) unstable; urgency=medium

  [ Javier Fernández-Sanguino ]
  * en/debian-faq.dbk: Update publication date and version
  * en/getting-debian.dbk: Document what type of updates stable receives (beyond security fixes) and
    point users to backports. This should help clarify the concept of
    stable-updates (Closes: #1034467)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 01 Oct 2024 00:03:49 +0200

debian-faq (12.1) unstable; urgency=medium

  [ Joost van Baal-Ilić ]
  * 2024-08: en/pkg-basics.dbk: modernize: s/aptitude/apt/;
    s/.diff.gz/.debian.tar.xz/; no user prompting in postinst.
  * Update releases.  Thanks Étienne Mollier for reporting (closes: #1081730).

  [ David Martínez Moreno ]
  * debian/control: Updated Standards-Version (no changes).
  * en/pkg-basics.dbk: Added suggestions from Rachel Neumiller (LP: #1654804,
    LP: #1654805, LP: #1654746).

  [ Javier Fernández-Sanguino ]
  * en/ftparchives.dbk:
        - Add the names of the latest releases.
        - Added information about snapshot.debian.org (Closes: #892893)
  * en/choosing.dbk: 
        - Change title of section, add some more information and reference the
          location of the testing Release Notes as well as the Debian's
          Reference 'Life with eternal upgrades' which provides more insight
          on the section's content (Closes: #566010)
        - Document that Debian does not provide security updates for testing.
          Link to the Security Team's security tracker (Closes: #973569)
        - Rename "Linux Mint Debian edition" to simply "Linux Mint", add Kali
          to the list (it is more popular than Knoppix), add information about
          the number of distributions and link to the Debian
          derivate Census in the Wiki.
  * en/software.dbk: Add information on how to handle non-free firmware
    (Closes: #1030562)
  * en/uptodate.dbk, en/choosing.dbk: Replace ftp.us.debian.org with
    'deb.debian.org' as this will go to the mirror based on a
    content-delivery-network (no need for users to look for the fastest
    mirror).
  * README.release: describe better where the information of debian-faq.ent
    comes from and update some elements which are no longer useful to obtain
    these numbers.
  * debian-faq.ent: Update the number of packages and developers. Add a new
    number to provide the number of contributors (which are not DD)
  * en/basic-defs.dbk: Provide information of the total volunteers and
    introduce the different numbers for developers and contributors
  * en/contributing.dbk: Explain better the different levels of contributors /
    volunteers in the project

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 29 Sep 2024 21:39:32 +0200

=== debian/control ===
Source: debian-faq
Section: doc
Priority: standard
Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>,
           Joost van Baal <joostvb@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dblatex <!pkg.debian-faq.nopdf>,
                     docbook-xml,
                     docbook-xsl,
                     fonts-freefont-ttf,
                     fonts-sil-charis,
                     libxml2-utils,
                     po4a,
                     texlive-lang-all <!pkg.debian-faq.nopdf>,
                     texlive-xetex <!pkg.debian-faq.nopdf>,
                     w3m,
                     xsltproc
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ddp-team/debian-faq
Vcs-Git: https://salsa.debian.org/ddp-team/debian-faq.git
Homepage: https://www.debian.org/doc/user-manuals#faq

Package: debian-faq
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 This document is available at https://www.debian.org/doc/manuals/debian-faq/
 as well as from the Debian file server at https://deb.debian.org/debian/doc/FAQ
 and mirrors thereof.
 .
 The document is supplied in HTML, PDF, and plain text.
 .
 If you're new to Debian, and like to read documentation from your local system,
 without using the network, install this package.

Package: debian-faq-de
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in German
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in German of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-fr
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in French
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in French of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-it
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Italian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Italian of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-ja
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Japanese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Japanese of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-ko
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Korean
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Korean of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-nl
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Dutch
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Dutch of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-pt
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Portuguese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Portuguese of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-ru
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Russian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Russian of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-zh-cn
Priority: optional
Architecture: all
Multi-Arch: foreign
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Simplified Chinese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Simplified Chinese of the original English FAQ
 (available in the package debian-faq.)

## debian-faq 12.2build1

=== debian/changelog ===
debian-faq (12.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:49:45 +0000

## debian-faq 13.1

=== debian/changelog ===
debian-faq (13.1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Update translations.

  [ Harry Van Ness ]
  * Removed references to outdated packages and information.
  * Fix broken link to Debian mirrors.

  [ Andrew Kreimer ]
  * Fix typos via codespell.
  * ftparchives.{dbk,po}: Fix a typo.

  [ Boyuan Yang ]
  * zh-cn/contributing.po: Minor updates.
  * contributing.{dbk,po}: Fix typo.

  [ Fabian B ]
  * Additional German translation for section 1.5.
  * Fix German translation of "dynamic" listitem.

  [ Américo Monteiro ]
  * Updated translation into Portuguese.

  [ Joost van Baal-Ilić ]
  * Bump version to 13.x: targetting upcoming Debian 14 (forky) release.
  * d/control: drop "Rules-Requires-Root: no": default as of dpkg-dev 1.22.13.
  * d/control: Fix my name.
  * en/basic-defs.dbk: The four kfreebsd-* and netbsd-* porting efforts
    are dead, no longer mention them.
  * en/basic-defs.dbk: Neither fsf.org nor gnu.org push Hurd, they mention and
    focus on Linux. Drop obsolete "The FSF's long-standing objective is to
    develop a new operating system called GNU, based on Hurd."
  * debian-faq.ent: current stable is now 13 (trixie), update number of
    supported architectures, update (and round) the number of developers.
  * en/getting-debian.dbk: mention the 'Download' button on our website.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 14 Feb 2026 07:37:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>,
-           Joost van Baal <joostvb@debian.org>
+           Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dblatex <!pkg.debian-faq.nopdf>,
                      docbook-xml,
@@ -17,7 +17,6 @@
                      w3m,
                      xsltproc
 Standards-Version: 4.7.0
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ddp-team/debian-faq
 Vcs-Git: https://salsa.debian.org/ddp-team/debian-faq.git
 Homepage: https://www.debian.org/doc/user-manuals#faq
